Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007331OCamlocamldocpublic2016-08-21 23:152017-03-08 14:12
Reporterandy 
Assigned Tooctachron 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSLinux MintOS Version17.3
Product Version4.03.0 
Target Version4.06.0+devFixed in Version 
Summary0007331: Ocamldoc hangs when module references itself
DescriptionThe presence of the `module rec M: sig ... end = M` construct causes ocamldoc to hang.
Steps To Reproducemkdir repro && cd repro
echo "module rec M: sig end = M" > main.ml
ocamldoc -html main.ml

It never finishes.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017460)
frisch (developer)
2017-02-24 16:19

An infinite loop -- even in ocamldoc -- is not a minor issue, bumping severity.
(0017576)
octachron (developer)
2017-03-06 12:31

I have proposed a fix for this infinite loop in https://github.com/ocaml/ocaml/pull/1085. [^]
(0017600)
octachron (developer)
2017-03-08 14:12
edited on: 2017-03-08 14:13

This issue has been fixed for OCaml >=4.05 by merging the above github PR.


- Issue History
Date Modified Username Field Change
2016-08-21 23:15 andy New Issue
2016-09-07 17:02 shinwell Target Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc
2017-02-24 00:40 octachron Assigned To => octachron
2017-02-24 00:40 octachron Status new => confirmed
2017-02-24 16:19 frisch Note Added: 0017460
2017-02-24 16:19 frisch Severity minor => major
2017-02-24 16:19 frisch Target Version 4.05.0 +dev/beta1/beta2/beta3/rc1 => 4.06.0+dev
2017-03-06 12:31 octachron Note Added: 0017576
2017-03-08 14:12 octachron Note Added: 0017600
2017-03-08 14:12 octachron Status confirmed => resolved
2017-03-08 14:12 octachron Resolution open => fixed
2017-03-08 14:13 octachron Note Edited: 0017600 View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker